Indietro |  | Avanti

## Capitolo 2. Concetti di GIMP

## 1. Eseguire Gimp

Il modo più usato per eseguire Gimp è di fare clic sull'icona corrispondente (se il vostro sistema è predisposto per mostrarla) oppure potete anche eseguirlo battendo gimp a riga di comando. Se ci sono più versioni di Gimp installate, può essere necessario battere per es. gimp-2.2 per eseguire la versione specificata. È possibile aggiungere alla riga di comando, dopo il nome di gimp, un'elenco di file immagine e questi saranno automaticamente aperti da Gimp alla partenza. Naturalmente è sempre possibile aprire altri file da Gimp una volta che questo è in esecuzione.

Molti sistemi operativi sono impostabili in modo tale da "associare" vari tipi di immagine a Gimp i maniera da farlo partire automaticamente quando si esegue un doppio clic sulle loro icone.

| Suggerimento

If you want to cause a certain file type to automatically open in Gimp, you should associate it with "gimp-remote" rather than with "gimp". The gimp-remote program is an auxiliary that comes with gimp. If gimp is not already running on the system when gimp-remote is executed, it is started and the image given as argument to gimp-remote is loaded. If gimp is already running, though, the image is simply loaded into the already-running program.

### Argomenti della riga di comando

Normalmente non è necessario dare alcun argomento per far partire Gimp, comunque qui sotto sono elencati alcuni che potrebbero prima o poi tornare utili. Non è un'elenco completo; sui sistemi Unix puoi ottenere l'elenco completo eseguendo `man gimp` in una finestra di terminale.

-h, --help

  Mostra un'elenco di tutte le opzioni a riga di comando.

-v, --version

  Stampa la versione di Gimp e esce.

--verbose

  Mostra i messaggi di partenza in maniera dettagliata.

-d, --no-data

  Non caricare motivi, gradienti, tavolozze, o pennelli. Spesso utile in ambiti non interattivi dove il tempo di esecuzione deve essere ottimizzato.

--display `display`

  Usato per indicare il display X (non usato su Gimp per Microsoft Windows).

-s, --no-splash

  Non mostrare la schermata iniziale alla partenza.

--session `name`

  Usa un sessionrc differente per la sessione GIMP. Il nome di sessione dato viene accodato al nome file sessionrc predefinito.

-g, --gimprc `gimprc`

  Usa un gimprc alternativo invece del predefinito. Il file "gimprc" contiene la registrazione delle preferenze. Utile nel caso che il percorso dei plugin o le specifiche macchina siano differenti.

-c, --console-messages

  Non mostrare le finestre di dialogo per errori e avvertimenti. Stampa tutti i messaggi sulla console.

-b, --batch `commands`

  Esegui l'insieme dei comandi in maniera non interattiva. L'insieme dei comandi è tipicamente in forma di script che può essere eseguito da una delle estensioni di script di GIMP. Se il comando è `-` i comandi vengono letti dallo standard input.

Indietro | Risali | Avanti
| Partenza |